Bug 496701 - Review Request: gxmessage - GTK2 based xmessage clone
Summary: Review Request: gxmessage - GTK2 based xmessage clone
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-20 19:07 UTC by Christoph Wickert
Modified: 2009-05-09 04:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 13:59:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chkr: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2009-04-20 19:07:30 UTC
Spec URL: http://cwickert.fedorapeople.org/review/gxmessage.spec
SRPM URL: http://cwickert.fedorapeople.org/review/gxmessage-2.12.1-1.fc11.src.rpm
Description: Gxmassage is a GTK2 based xmessage clone. It pops up a dialog window, displays a given message or question, then waits for the user's response. That response is returned as the program's exit code. Because gxmessage is a drop-in alternative to xmessage, gxmessage accepts any option xmessage would, and 
returns the same exit codes.

Comment 1 Christian Krause 2009-04-23 21:10:00 UTC
Package looks good.

There is only minor and non-critical issue: "Requires: info" is not needed - please remove it before importing the package.

-> APPROVED

* rpmlint: OK
rpmlint SRPMS/gxmessage-2.12.1-1.fc10.src.rpm RPMS/i386/gxmessage-* SPECS/gxmessage.spec
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

* naming: OK

* spec file name: OK

* License:
- GPLv3+ acceptable
- matches upstream
- matches source
- COPYING file packaged

* Source0: OK
- spectool -g works
- matches upstream
- md5sum: 48c0f8b2a18fa92724c1cec83a9aa46c  gxmessage-2.12.1.tar.gz

* Compilation: OK
- locally in F10
- mock in F10
- koji for F10, F11, rawhide
- RPMOPTFLAGS used correctly
- no error messages during compilation

* legible & American English: OK

* BuildRequires: OK

* Requires: TODO (minor)
"Requires: info" should not be necessary

* locale handling: OK

* shared object files, static libraries, pkgconfig, header files: OK (n/a)

* package owns directories that it creates: OK

* no files listed twice: OK

* file permissions: OK

* %defattr used: OK

* %clean section: OK

* macro usage: OK

* large documentation into subpackage: OK (n/a)

* code vs. content: OK (only code)

* GUI application need %{name}.desktop file: OK (not a gui application by itself)

* rm -rf $RPM_BUILD_ROOT in %install: OK

* filenames UTF-8: OK

* scriptlets: OK
- info & gtk-update-icon-cache used according to http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

* functional test: OK
- examples work

Comment 2 Christoph Wickert 2009-04-23 21:34:03 UTC
Thanks Christian!

New Package CVS Request
=======================
Package Name: gxmessage
Short Description: GTK2 based xmessage clone
Owners: cwickert
Branches: F-9 F-10 F-11
InitialCC:

Comment 3 Kevin Fenzi 2009-04-27 05:35:24 UTC
cvs done.

Comment 4 Fedora Update System 2009-04-27 13:44:14 UTC
gxmessage-2.12.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gxmessage-2.12.1-1.fc11

Comment 5 Fedora Update System 2009-04-27 13:44:55 UTC
gxmessage-2.12.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gxmessage-2.12.1-1.fc10

Comment 6 Fedora Update System 2009-04-27 13:45:26 UTC
gxmessage-2.12.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gxmessage-2.12.1-1.fc9

Comment 7 Fedora Update System 2009-04-27 21:23:41 UTC
gxmessage-2.12.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-04-27 21:35:17 UTC
gxmessage-2.12.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-05-09 04:15:50 UTC
gxmessage-2.12.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.